Proteins
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"organism": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"uniprot_names": [
"<string>"
],
"uniprot_full_names": [
"<string>"
],
"uniprot_ids": [
"<string>"
],
"dbxrefs": [
{
"name": "<string>",
"id": "<string>"
}
],
"MANE_Select": true
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Proteins
Retrieve proteins.
Protein IDs support the following formats: ENSP00000384707.1 or ENSP00000384707 (Ensembl IDs) or P49711-2 (Uniprot ids)
Example: protein_id = ENSP00000384707,
name = CTCF,
uniprot_name = CTCF_HUMAN,
uniprot_full_name = Transcriptional repressor CTCF,
dbxrefs = P49711,
organism = Homo sapiens.
The limit parameter controls the page size and can not exceed 50.
Pagination is 0-based.
Proteins
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"organism": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"uniprot_names": [
"<string>"
],
"uniprot_full_names": [
"<string>"
],
"uniprot_ids": [
"<string>"
],
"dbxrefs": [
{
"name": "<string>",
"id": "<string>"
}
],
"MANE_Select": true
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens